(* $Id: godi_pax.mli 711 2007-07-30 22:37:57Z gerd $
 * ----------------------------------------------------------------------
 * Copyright 2005 by Gerd Stolpmann.
 *
 * This file is part of godi-tools.
 *
 * godi-tools is free software; you can redistribute it and/or modify it
 * under the conditions in the file LICENSE.
 *
 * godi-tools is distributed WITHOUT ANY WARRANTY, as detailed in the
 * file LICENSE.
 *)

(** Driver for pax *)

open Godi_types
open Godi_exec

val create_archive : in_files:(string * string list) list ->
                     out_file:string ->
                     console ->
                       unit
  (** Creates an "ustar" archive with "gzip" compression. [in_files]
    * lists the files to be included in the archive. Every element
    * of [in_files] is a pair [(root, file_list)] where [root] determines
    * the root directory of the files in [file_list]. The recorded
    * names are those of [file_list]. This list must only include
    * relative paths to regular files and symbolic links, but not
    * directories and other types of files. The paths to [root] must be
    * absolute.
    *
    * The archive is written to [out_file].
    *
    * Messages are written to [protocol].
   *)

			 
		 
